
Redmine - Defect #9051

wrong "text_issue_added" in russian translation.

2011-08-12 14:06 - Alexander Konotop

Status: Closed Start date: 2011-08-12

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Translations Estimated time: 0.00 hour

Target version: 1.3.0   

Resolution: Fixed Affected version:  

Description

English version sounds like this:

"Issue %{id} has been reported by %{author}." 

Today's russian looks like this:

"По задаче %{id} был создан отчет (%{author})." 

The problem is in the word "report". In russian this word definitely doesn't have to be here. It sounds like "author created a situation

report of already existing issue". It has to sound like "A new issue #xxx was created (author_name)", here's this variant in russian:

text_issue_added: "Создана новая задача {{id}} ({{author}})." 

 In today's (12 Aug. 2011) SVN it's on the line 922 in ru.yml in 1.2 branch. (I looked here: 

http://redmine.rubyforge.org/svn/branches/1.2-stable/config/locales/)

I'm sure that this message really confuses russian-speaking redmine newbies. I thought a lot about who and when initiates sending

of this message and also about why I don't recieve a message when smb creates an issue :-). And only few months later I realized

that in english "issue creation" may sound like "issue report".

P.S. If You have no time to search for this string or don't have cyrillic fonts just to open a file - tell me here and I'll create a patch.

Related issues:

Related to Redmine - Patch #9053: Fix up Russian translation Closed 2011-08-12

Related to Redmine - Patch #9273: Fix typos in russian localization Closed 2011-09-18

Associated revisions

Revision 6444 - 2011-08-12 23:15 - Toshi MARUYAMA

fix wrong "text_issue_added" in Russian translation (#9051).

Contributed by Alex Shulgin.

Revision 6445 - 2011-08-12 23:15 - Toshi MARUYAMA

Fix up Russian translation of 1.2-stable (#9053, #9051).

Contributed by Alex Shulgin.

History

#1 - 2011-08-12 17:23 - Alex Shulgin

- File text_issue_added_ru.patch added

+1, that string translation is incorrect.

There's some more inconsistent translations, I might be sending a longer patch later in a separate issue.
http://redmine.rubyforge.org/svn/branches/1.2-stable/config/locales/


#2 - 2011-08-12 20:01 - Alex Shulgin

Alex Shulgin wrote:

There's some more inconsistent translations, I might be sending a longer patch later in a separate issue.

 Filed in #9053.

#3 - 2011-08-12 22:01 - Toshi MARUYAMA

- Category set to Translations

#4 - 2011-08-12 23:19 - Toshi MARUYAMA

text_issue_added_ru.patch is committed in trunk r6444, thanks.

#5 - 2011-08-12 23:19 - Toshi MARUYAMA

- Status changed from New to Closed

- Target version set to 1.3.0

- Resolution set to Fixed

Files

text_issue_added_ru.patch 1.03 KB 2011-08-12 Alex Shulgin
